searchData={"items":[{"type":"module","title":"Esbuild","doc":"Esbuild is an installer and runner for [esbuild](https://esbuild.github.io).","ref":"Esbuild.html"},{"type":"module","title":"Profiles - Esbuild","doc":"You can define multiple esbuild profiles. By default, there is a\nprofile called `:default` which you can configure its args, current\ndirectory and environment:\n\n    config :esbuild,\n      version: \"0.17.11\",\n      default: [\n        args: ~w(js/app.js --bundle --target=es2016 --outdir=../priv/static/assets),\n        cd: Path.expand(\"../assets\", __DIR__),\n        env: %{\"NODE_PATH\" => Path.expand(\"../deps\", __DIR__)}\n      ]","ref":"Esbuild.html#module-profiles"},{"type":"module","title":"Esbuild configuration - Esbuild","doc":"There are two global configurations for the esbuild application:\n\n  * `:version` - the expected esbuild version\n\n  * `:cacerts_path` - the directory to find certificates for\n    https connections\n\n  * `:path` - the path to find the esbuild executable at. By\n    default, it is automatically downloaded and placed inside\n    the `_build` directory of your current app\n\nOverriding the `:path` is not recommended, as we will automatically\ndownload and manage `esbuild` for you. But in case you can't download\nit (for example, the npm registry is behind a proxy), you may want to\nset the `:path` to a configurable system location.\n\nFor instance, you can install `esbuild` globally with `npm`:\n\n    $ npm install -g esbuild\n\nOn Unix, the executable will be at:\n\n    NPM_ROOT/esbuild/node_modules/@esbuild/TARGET/bin/esbuild\n\nOn Windows, it will be at:\n\n    NPM_ROOT/esbuild/node_modules/@esbuild/win32-x(32|64)/esbuild.exe\n\nWhere `NPM_ROOT` is the result of `npm root -g` and `TARGET` is your system\ntarget architecture.\n\nOnce you find the location of the executable, you can store it in a\n`MIX_ESBUILD_PATH` environment variable, which you can then read in\nyour configuration file:\n\n    config :esbuild, path: System.get_env(\"MIX_ESBUILD_PATH\")","ref":"Esbuild.html#module-esbuild-configuration"},{"type":"function","title":"Esbuild.bin_path/0","doc":"Returns the path to the executable.\n\nThe executable may not be available if it was not yet installed.","ref":"Esbuild.html#bin_path/0"},{"type":"function","title":"Esbuild.bin_version/0","doc":"Returns the version of the esbuild executable.\n\nReturns `{:ok, version_string}` on success or `:error` when the executable\nis not available.","ref":"Esbuild.html#bin_version/0"},{"type":"function","title":"Esbuild.config_for!/1","doc":"Returns the configuration for the given profile.\n\nReturns nil if the profile does not exist.","ref":"Esbuild.html#config_for!/1"},{"type":"function","title":"Esbuild.configured_version/0","doc":"Returns the configured esbuild version.","ref":"Esbuild.html#configured_version/0"},{"type":"function","title":"Esbuild.install/0","doc":"Installs esbuild with `configured_version/0`.","ref":"Esbuild.html#install/0"},{"type":"function","title":"Esbuild.install_and_run/2","doc":"Installs, if not available, and then runs `esbuild`.\n\nReturns the same as `run/2`.","ref":"Esbuild.html#install_and_run/2"},{"type":"function","title":"Esbuild.run/2","doc":"Runs the given command with `args`.\n\nThe given args will be appended to the configured args.\nThe task output will be streamed directly to stdio. It\nreturns the status of the underlying call.","ref":"Esbuild.html#run/2"},{"type":"task","title":"mix esbuild","doc":"Invokes esbuild with the given args.\n\nUsage:\n\n    $ mix esbuild TASK_OPTIONS PROFILE ESBUILD_ARGS\n\nExample:\n\n    $ mix esbuild default assets/js/app.js --bundle --minify --target=es2016 --outdir=priv/static/assets\n\nIf esbuild is not installed, it is automatically downloaded.\nNote the arguments given to this task will be appended\nto any configured arguments.","ref":"Mix.Tasks.Esbuild.html"},{"type":"task","title":"Options - mix esbuild","doc":"* `--runtime-config` - load the runtime configuration\n    before executing command\n\nNote flags to control this Mix task must be given before the\nprofile:\n\n    $ mix esbuild --runtime-config default assets/js/app.js","ref":"Mix.Tasks.Esbuild.html#module-options"},{"type":"task","title":"mix esbuild.install","doc":"Installs esbuild under `_build`.\n\n```bash\n$ mix esbuild.install\n$ mix esbuild.install --if-missing\n```\n\nBy default, it installs 0.17.11 but you\ncan configure it in your config files, such as:\n\n    config :esbuild, :version, \"0.17.11\"","ref":"Mix.Tasks.Esbuild.Install.html"},{"type":"task","title":"Options - mix esbuild.install","doc":"* `--runtime-config` - load the runtime configuration\n      before executing command\n\n    * `--if-missing` - install only if the given version\n      does not exist","ref":"Mix.Tasks.Esbuild.Install.html#module-options"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.8.0 (2023-11-02) - CHANGELOG","doc":"* Verifies npm package tarball authenticity and integrity with NPM's key\n  * Properly set up loadpaths in Elixir v1.15","ref":"changelog.html#v0-8-0-2023-11-02"},{"type":"extras","title":"v0.7.1 (2023-06-26) - CHANGELOG","doc":"* Support Elixir v1.15+ by ensuring inets and ssl are available even on `runtime: false`","ref":"changelog.html#v0-7-1-2023-06-26"},{"type":"extras","title":"v0.7.0 (2023-03-16) - CHANGELOG","doc":"* Require Elixir v1.11+\n  * Support proxy authentication","ref":"changelog.html#v0-7-0-2023-03-16"},{"type":"extras","title":"v0.6.1 (2023-02-09) - CHANGELOG","doc":"* Declare inets and ssl for latest elixir support","ref":"changelog.html#v0-6-1-2023-02-09"},{"type":"extras","title":"v0.6.0 (2022-12-12) - CHANGELOG","doc":"* Support esbuild 0.16.x","ref":"changelog.html#v0-6-0-2022-12-12"},{"type":"extras","title":"v0.5.0 (2022-05-27) - CHANGELOG","doc":"* Raise exception if no args are found to use with esbuild\n  * Update esbuild to 0.14.41\n  * Support overridable cacertfile\n  * Add support for armv7\n  * Attempt multiple directories to install esbuild","ref":"changelog.html#v0-5-0-2022-05-27"},{"type":"extras","title":"v0.4.0 (2021-11-27) - CHANGELOG","doc":"* Attach system target architecture to saved esbuild executable\n  * Store download on user cache directory\n  * Update esbuild to 0.14.0\n  * Add support for 32bit linux","ref":"changelog.html#v0-4-0-2021-11-27"},{"type":"extras","title":"v0.3.4 (2021-10-30) - CHANGELOG","doc":"* Support armv7l\n  * Update esbuild to 0.13.10","ref":"changelog.html#v0-3-4-2021-10-30"},{"type":"extras","title":"v0.3.3 (2021-10-11) - CHANGELOG","doc":"* Fallback if Mix.Project is not available\n  * Update esbuild to 0.13.4","ref":"changelog.html#v0-3-3-2021-10-11"},{"type":"extras","title":"v0.3.2 (2021-10-06) - CHANGELOG","doc":"* Do not load runtime config by default on `esbuild.install` task\n  * Update latest known `esbuild` version\n  * Allow `config :esbuild, :path, path` to configure the path to the esbuild install\n  * Support `HTTP_PROXY/HTTPS_PROXY` to fetch esbuild","ref":"changelog.html#v0-3-2-2021-10-06"},{"type":"extras","title":"v0.3.1 (2021-09-08) - CHANGELOG","doc":"* Fix target detection on arm32","ref":"changelog.html#v0-3-1-2021-09-08"},{"type":"extras","title":"v0.3.0 (2021-09-05) - CHANGELOG","doc":"* No longer load `config/runtime.exs` by default, instead support `--runtime-config` flag\n  * Update initial `esbuild` version to `0.12.18`","ref":"changelog.html#v0-3-0-2021-09-05"},{"type":"extras","title":"v0.2.2 (2021-08-28) - CHANGELOG","doc":"* `mix esbuild.install --if-missing` also checks version","ref":"changelog.html#v0-2-2-2021-08-28"},{"type":"extras","title":"v0.2.1 (2021-08-09) - CHANGELOG","doc":"* Require Elixir v1.10\n  * Make sure `bin_path` directory exists before writing to it\n  * Fix target detection for FreeBSD","ref":"changelog.html#v0-2-1-2021-08-09"},{"type":"extras","title":"v0.2.0 (2021-07-29) - CHANGELOG","doc":"* Bump to esbuild 0.12.17","ref":"changelog.html#v0-2-0-2021-07-29"},{"type":"extras","title":"v0.1.3 (2021-07-21) - CHANGELOG","doc":"* Fix Windows support","ref":"changelog.html#v0-1-3-2021-07-21"},{"type":"extras","title":"v0.1.2 (2021-07-18) - CHANGELOG","doc":"* Improve docs and error messages\n  * Reenable esbuild task","ref":"changelog.html#v0-1-2-2021-07-18"},{"type":"extras","title":"v0.1.1 (2021-07-18) - CHANGELOG","doc":"* Fix target detection on ARM Macs and OTP < 24","ref":"changelog.html#v0-1-1-2021-07-18"},{"type":"extras","title":"v0.1.0 (2021-07-18) - CHANGELOG","doc":"* First release","ref":"changelog.html#v0-1-0-2021-07-18"}],"content_type":"text/markdown"}